GNU bug report logs - #32816
25.2; M-x eshell crashes Emacs when a window containing a PDF file in pdf-view mode is active

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Sagar Jha <sjsagarjha3@HIDDEN>; merged with #32827; dated Sun, 23 Sep 2018 22:56:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 32816 32827. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32816 <at> debbugs.gnu.org:


Received: (at 32816) by debbugs.gnu.org; 24 Sep 2018 20:01:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 24 16:01:02 2018
Received: from localhost ([127.0.0.1]:52394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g4X2T-0006gp-HC
	for submit <at> debbugs.gnu.org; Mon, 24 Sep 2018 16:01:02 -0400
Received: from mail-it1-f193.google.com ([209.85.166.193]:38157)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sjsagarjha3@HIDDEN>) id 1g4X2R-0006gc-CE
 for 32816 <at> debbugs.gnu.org; Mon, 24 Sep 2018 16:01:00 -0400
Received: by mail-it1-f193.google.com with SMTP id p129-v6so12236449ite.3
 for <32816 <at> debbugs.gnu.org>; Mon, 24 Sep 2018 13:00:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=Y7EMB/6ldEUtUonlWcyO3dVdwu22YrwoslUSQDGgIRY=;
 b=KZSnNCHp8MXZQLJ8oOHIRLxFF4naTUVqy4Iys7CFTX8Ye8WPGfTKkUZek5mrNmEOXH
 VGgb+TqfJ0FtitE2O0JxWis77KfahqEVcPLd4qW4q+DYQUb/22+0RZqsUVxIRBMM4+nF
 ckw06LH+fE8I0jPfOeV7WVQYFi2Z50ZTTJX0yUVGyccXPHb9d+r8YKyUdP8T27HRvQ9W
 2EEl1Jt7X1u212WceKSDc2WMHFMa/zdyc9kHjQVWD4HqchGMMBIbIDam3RbE4AqBhbrv
 zhGaD5/Sqon2lUmGjbO8fIu8zrDj7mAtG5rQUMuZzD5kYqqwbdzQvBDIZQwJg6hd0/mu
 KDrQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Y7EMB/6ldEUtUonlWcyO3dVdwu22YrwoslUSQDGgIRY=;
 b=HKglSR35UnMwduzEV5b6UM6QFl12Xk/iBcwqxUo2u23fjr5JbBUhH7VXjI+1GyOfSz
 QUlm9mh1drIy042WX7Yo+WzdcVUc51Tk34F++1cSeNfYaPQZykr+enB4vYEoTT5IsC/h
 IPqEi5+zmUkbwneNT0q7L3yU6ifM0c9vJjCou7x4YnE6NsyuJDuO9yMTppCgBrKpaHNq
 y1qlVw81a2km4SLuJDe5wAY3TSrTY69sjD5yYu3grI/ZubrpZo46Wt7Zz7R4piFQz75w
 nik+mNm6XlQbFWzDu6NzVjxrOaI46/FO4PsXKPU+3fOLcdd6fjuW/Mb6yFjDpU/g46K0
 z+mg==
X-Gm-Message-State: ABuFfojeXIpO3wgGTbM3k8lmayqdOUxyiHlAZ2D8vYw655knfcyW4knj
 JBjCmxSDxvU1ILX5x6JJW+/Yjw3JK3qZtN6oVhWnPQ==
X-Google-Smtp-Source: ACcGV61nUPntnfom2of9yP1qaXdg59hEDbsIwmRBu3lfPH/oXbfN+HTr9+6SqA33g23vQsTzZAafTRU49oGvyfQTJzk=
X-Received: by 2002:a02:9832:: with SMTP id
 t47-v6mr382785jaj.137.1537819253313; 
 Mon, 24 Sep 2018 13:00:53 -0700 (PDT)
MIME-Version: 1.0
From: Sagar Jha <sjsagarjha3@HIDDEN>
Date: Mon, 24 Sep 2018 16:00:41 -0400
Message-ID: <CAMxjTZLqt5rd1-afNrQU6svuyyA3Enkc=2m+auiq5u05HkMu9A@HIDDEN>
Subject: 26.1; M-x eshell freezes Emacs when a window containing a PDF file in
 pdf-view mode is active
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 32816 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000005294c90576a37269"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 32816
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--0000000000005294c90576a37269
Content-Type: text/plain; charset="UTF-8"

I submitted a similar bug report for Emacs 25.2, but I was asked to try a
later version by Eli Zaretskii. So I installed Emacs 26.1. I have the same
problem.

Please see this screenshot I took to show how I trigger the bug (video on
Box):
https://cornell.box.com/s/miozugx3v3cb47x8d40vc2tzc5gwnrb6

Thanks,
Sagar

In GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2018-05-29 built on lcy01-amd64-029
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Ubuntu 18.04.1 LTS

Recent messages:
Applying style hooks...done
Applying style hooks...done
Type C-c C-c or C-c C-x to view the image as text or hex.
Applying style hooks...done
Applying style hooks...done
Applying style hooks...done
Wrote /home/sagar/.emacs.desktop.lock
Desktop: 1 frame, 242 buffers restored, 10 failed to restore.
For information about GNU Emacs and the GNU system, type C-h C-a.
GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.22.30) of
2018-05-29

Configured using:
 'configure --build=x86_64-linux-gnu --prefix=/usr
 '--includedir=${prefix}/include' '--mandir=${prefix}/share/man'
 '--infodir=${prefix}/share/info' --sysconfdir=/etc --localstatedir=/var
 --disable-silent-rules '--libdir=${prefix}/lib/x86_64-linux-gnu'
 '--libexecdir=${prefix}/lib/x86_64-linux-gnu' --disable-maintainer-mode
 --disable-dependency-tracking --prefix=/usr --sharedstatedir=/var/lib
 --program-suffix=26 --with-modules --with-file-notification=inotify
 --with-mailutils --with-x=yes --with-x-toolkit=gtk3 --with-xwidgets
 --with-lcms2 'CFLAGS=-g -O2
 -fdebug-prefix-map=/build/emacs26-pCvJBp/emacs26-26.1~1.git07f8f9b=.
-fstack-protector-strong
 -Wformat -Werror=format-security -no-pie' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro
 -no-pie''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES THREADS XWIDGETS LIBSYSTEMD LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  TeX-PDF-mode: t
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  global-aggressive-indent-mode: t
  aggressive-indent-mode: t
  show-smartparens-global-mode: t
  show-smartparens-mode: t
  smartparens-strict-mode: t
  smartparens-mode: t
  window-number-mode: t
  pdf-occur-global-minor-mode: t
  desktop-save-mode: t
  winner-mode: t
  cl-old-struct-compat-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-site hides
/usr/share/emacs/site-lisp/tex-site
/home/sagar/.emacs.d/elpa/auctex-12.1.1/auctex hides
/usr/share/emacs/site-lisp/auctex
/home/sagar/.emacs.d/elpa/auctex-12.1.1/texmathp hides
/usr/share/emacs/site-lisp/auctex/texmathp
/home/sagar/.emacs.d/elpa/auctex-12.1.1/toolbar-x hides
/usr/share/emacs/site-lisp/auctex/toolbar-x
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-buf hides
/usr/share/emacs/site-lisp/auctex/tex-buf
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-info hides
/usr/share/emacs/site-lisp/auctex/tex-info
/home/sagar/.emacs.d/elpa/auctex-12.1.1/prv-emacs hides
/usr/share/emacs/site-lisp/auctex/prv-emacs
/home/sagar/.emacs.d/elpa/auctex-12.1.1/plain-tex hides
/usr/share/emacs/site-lisp/auctex/plain-tex
/home/sagar/.emacs.d/elpa/auctex-12.1.1/latex hides
/usr/share/emacs/site-lisp/auctex/latex
/home/sagar/.emacs.d/elpa/auctex-12.1.1/font-latex hides
/usr/share/emacs/site-lisp/auctex/font-latex
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-bar hides
/usr/share/emacs/site-lisp/auctex/tex-bar
/home/sagar/.emacs.d/elpa/auctex-12.1.1/context-nl hides
/usr/share/emacs/site-lisp/auctex/context-nl
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-fold hides
/usr/share/emacs/site-lisp/auctex/tex-fold
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex hides
/usr/share/emacs/site-lisp/auctex/tex
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-style hides
/usr/share/emacs/site-lisp/auctex/tex-style
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-font hides
/usr/share/emacs/site-lisp/auctex/tex-font
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-mik hides
/usr/share/emacs/site-lisp/auctex/tex-mik
/home/sagar/.emacs.d/elpa/auctex-12.1.1/multi-prompt hides
/usr/share/emacs/site-lisp/auctex/multi-prompt
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-jp hides
/usr/share/emacs/site-lisp/auctex/tex-jp
/home/sagar/.emacs.d/elpa/auctex-12.1.1/bib-cite hides
/usr/share/emacs/site-lisp/auctex/bib-cite
/home/sagar/.emacs.d/elpa/auctex-12.1.1/context-en hides
/usr/share/emacs/site-lisp/auctex/context-en
/home/sagar/.emacs.d/elpa/auctex-12.1.1/context hides
/usr/share/emacs/site-lisp/auctex/context
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-ispell hides
/usr/share/emacs/site-lisp/auctex/tex-ispell
/home/sagar/.emacs.d/elpa/auctex-12.1.1/preview hides
/usr/share/emacs/site-lisp/auctex/preview
/home/sagar/.emacs.d/elpa/clang-format-20180406.1514/clang-format hides
/usr/share/emacs/site-lisp/clang-format-6.0/clang-format
/usr/share/emacs/site-lisp/dictionaries-common/flyspell hides
/usr/share/emacs/26.1/lisp/textmodes/flyspell
/usr/share/emacs/site-lisp/dictionaries-common/ispell hides
/usr/share/emacs/26.1/lisp/textmodes/ispell
/usr/share/emacs/site-lisp/latex-cjk-thai/thai-word hides
/usr/share/emacs/26.1/lisp/language/thai-word

Features:
(shadow sort mail-extr emacsbug sendmail make-mode sh-script executable
mhtml-mode smartparens-javascript js-mode-expansions js json map
flyspell ispell css-mode-expansions css-mode smie color eww mm-url
url-queue url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap shr svg browse-url
smartparens-html html-mode-expansions sgml-mode dom org-indent org-rmail
org-mhe org-irc org-info org-gnus nnir gnus-sum gnus-group gnus-undo
gnus-start gnus-cloud nnimap nnmail mail-source tls gnutls utf7 netrc
nnoo parse-time gnus-spec gnus-int gnus-range message rmc puny rfc822
mml mml-sec epa epg mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader gnus-win gnus nnheader gnus-util rmail
rmail-loaddefs rfc2047 rfc2045 ietf-drums mail-utils mm-util mail-prsvr
org-docview org-bibtex bibtex org-bbdb org-w3m conf-mode latexenc
preview prv-emacs tex-buf font-latex latex-mode-expansions latex
latex-flymake flymake-proc flymake warnings tex-ispell tex-style tex
dbus crm smartparens-latex tex-mode shell doc-view pdf-sync pdf-annot
pdf-outline pdf-links org-element avl-tree generator smartparens-org
the-org-mode-expansions org org-macro org-footnote org-pcomplete
pcomplete org-list org-faces org-entities noutline outline org-version
ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp
ob-comint ob-core ob-eval org-compat org-macs org-loaddefs cal-menu
calendar cal-loaddefs pdf-history smerge-mode autorevert filenotify
vc-git diff-mode cc-mode-expansions cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs elec-pair
aggressive-indent easy-mmode iy-go-to-char ace-jump-mode clang-format
xml smartparens-config smartparens-text smartparens dash cl-extra
help-mode use-package-ensure use-package-core multi-run window-layout
browse-kill-ring derived window-number pdf-occur ibuf-ext ibuffer
ibuffer-loaddefs tablist tablist-filter semantic/wisent/comp
semantic/wisent semantic/wisent/wisent semantic/util-modes semantic/util
semantic semantic/tag semantic/lex semantic/fw mode-local find-func
cedet dired dired-loaddefs pdf-isearch let-alist pdf-misc imenu
pdf-tools compile comint ansi-color cus-edit cus-start cus-load pdf-view
bookmark pp jka-compr pdf-cache pdf-info tq pdf-util format-spec
image-mode smex my-euphoria color-theme wid-edit cl smartscan desktop
frameset winner ring expand-region text-mode-expansions
er-basic-expansions expand-region-core expand-region-custom lisp-defuns
multiple-cursors mc-hide-unmatched-lines-mode mc-separate-operations
rectangular-region-mode mc-mark-pop mc-mark-more thingatpt
mc-cycle-cursors mc-edit-lines multiple-cursors-core advice rect edmacro
kmacro ido finder-inf tex-site info package easymenu epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib paren time-date mule-util tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting xwidget-internal move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 947277 46578)
 (symbols 48 65112 2)
 (miscs 40 2892 2831)
 (strings 32 190880 20633)
 (string-bytes 1 14750727)
 (vectors 16 64247)
 (vector-slots 8 1566895 62732)
 (floats 8 8633 405)
 (intervals 56 17369 111)
 (buffers 992 257))

--0000000000005294c90576a37269
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I submitted a similar bug report for Emacs 25.2, but I was=
 asked to try a later version by Eli Zaretskii. So I installed Emacs 26.1. =
I have the same problem.<div><br></div><div>Please see this screenshot I to=
ok to show how I trigger the bug (video on Box):</div><div><a href=3D"https=
://cornell.box.com/s/miozugx3v3cb47x8d40vc2tzc5gwnrb6">https://cornell.box.=
com/s/miozugx3v3cb47x8d40vc2tzc5gwnrb6</a></div><div><br></div><div>Thanks,=
</div><div>Sagar</div><div><div><div><br></div><div>In GNU Emacs 26.1 (buil=
d 2, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)</div><div>=C2=A0of 2018-05-=
29 built on lcy01-amd64-029</div><div>Windowing system distributor &#39;The=
 X.Org Foundation&#39;, version 11.0.11906000</div><div>System Description:=
<span style=3D"white-space:pre">	</span>Ubuntu 18.04.1 LTS</div><div><br></=
div><div>Recent messages:</div><div>Applying style hooks...done</div><div>A=
pplying style hooks...done</div><div>Type C-c C-c or C-c C-x to view the im=
age as text or hex.</div><div>Applying style hooks...done</div><div>Applyin=
g style hooks...done</div><div>Applying style hooks...done</div><div>Wrote =
/home/sagar/.emacs.desktop.lock</div><div>Desktop: 1 frame, 242 buffers res=
tored, 10 failed to restore.</div><div>For information about GNU Emacs and =
the GNU system, type C-h C-a.</div><div>GNU Emacs 26.1 (build 2, x86_64-pc-=
linux-gnu, GTK+ Version 3.22.30) of 2018-05-29</div><div><br></div><div>Con=
figured using:</div><div>=C2=A0&#39;configure --build=3Dx86_64-linux-gnu --=
prefix=3D/usr</div><div>=C2=A0&#39;--includedir=3D${prefix}/include&#39; &#=
39;--mandir=3D${prefix}/share/man&#39;</div><div>=C2=A0&#39;--infodir=3D${p=
refix}/share/info&#39; --sysconfdir=3D/etc --localstatedir=3D/var</div><div=
>=C2=A0--disable-silent-rules &#39;--libdir=3D${prefix}/lib/x86_64-linux-gn=
u&#39;</div><div>=C2=A0&#39;--libexecdir=3D${prefix}/lib/x86_64-linux-gnu&#=
39; --disable-maintainer-mode</div><div>=C2=A0--disable-dependency-tracking=
 --prefix=3D/usr --sharedstatedir=3D/var/lib</div><div>=C2=A0--program-suff=
ix=3D26 --with-modules --with-file-notification=3Dinotify</div><div>=C2=A0-=
-with-mailutils --with-x=3Dyes --with-x-toolkit=3Dgtk3 --with-xwidgets</div=
><div>=C2=A0--with-lcms2 &#39;CFLAGS=3D-g -O2</div><div>=C2=A0-fdebug-prefi=
x-map=3D/build/emacs26-pCvJBp/emacs26-26.1~1.git07f8f9b=3D. -fstack-protect=
or-strong</div><div>=C2=A0-Wformat -Werror=3Dformat-security -no-pie&#39; &=
#39;CPPFLAGS=3D-Wdate-time</div><div>=C2=A0-D_FORTIFY_SOURCE=3D2&#39; &#39;=
LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-z,relro</div><div>=C2=A0-no-pie&#39=
;&#39;</div><div><br></div><div>Configured features:</div><div>XPM JPEG TIF=
F GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY</div><div>LIBSEL=
INUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB</div><div>TOOLKIT_SCR=
OLL_BARS GTK3 X11 MODULES THREADS XWIDGETS LIBSYSTEMD LCMS2</div><div><br><=
/div><div>Important settings:</div><div>=C2=A0 value of $LANG: en_US.UTF-8<=
/div><div>=C2=A0 value of $XMODIFIERS: @im=3Dibus</div><div>=C2=A0 locale-c=
oding-system: utf-8-unix</div><div><br></div><div>Major mode: Emacs-Lisp</d=
iv><div><br></div><div>Minor modes in effect:</div><div>=C2=A0 TeX-PDF-mode=
: t</div><div>=C2=A0 shell-dirtrack-mode: t</div><div>=C2=A0 diff-auto-refi=
ne-mode: t</div><div>=C2=A0 global-aggressive-indent-mode: t</div><div>=C2=
=A0 aggressive-indent-mode: t</div><div>=C2=A0 show-smartparens-global-mode=
: t</div><div>=C2=A0 show-smartparens-mode: t</div><div>=C2=A0 smartparens-=
strict-mode: t</div><div>=C2=A0 smartparens-mode: t</div><div>=C2=A0 window=
-number-mode: t</div><div>=C2=A0 pdf-occur-global-minor-mode: t</div><div>=
=C2=A0 desktop-save-mode: t</div><div>=C2=A0 winner-mode: t</div><div>=C2=
=A0 cl-old-struct-compat-mode: t</div><div>=C2=A0 show-paren-mode: t</div><=
div>=C2=A0 tooltip-mode: t</div><div>=C2=A0 global-eldoc-mode: t</div><div>=
=C2=A0 eldoc-mode: t</div><div>=C2=A0 electric-indent-mode: t</div><div>=C2=
=A0 mouse-wheel-mode: t</div><div>=C2=A0 file-name-shadow-mode: t</div><div=
>=C2=A0 global-font-lock-mode: t</div><div>=C2=A0 font-lock-mode: t</div><d=
iv>=C2=A0 blink-cursor-mode: t</div><div>=C2=A0 auto-composition-mode: t</d=
iv><div>=C2=A0 auto-encryption-mode: t</div><div>=C2=A0 auto-compression-mo=
de: t</div><div>=C2=A0 line-number-mode: t</div><div>=C2=A0 visual-line-mod=
e: t</div><div>=C2=A0 transient-mark-mode: t</div><div><br></div><div>Load-=
path shadows:</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-site hi=
des /usr/share/emacs/site-lisp/tex-site</div><div>/home/sagar/.emacs.d/elpa=
/auctex-12.1.1/auctex hides /usr/share/emacs/site-lisp/auctex</div><div>/ho=
me/sagar/.emacs.d/elpa/auctex-12.1.1/texmathp hides /usr/share/emacs/site-l=
isp/auctex/texmathp</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/toolb=
ar-x hides /usr/share/emacs/site-lisp/auctex/toolbar-x</div><div>/home/saga=
r/.emacs.d/elpa/auctex-12.1.1/tex-buf hides /usr/share/emacs/site-lisp/auct=
ex/tex-buf</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-info hides=
 /usr/share/emacs/site-lisp/auctex/tex-info</div><div>/home/sagar/.emacs.d/=
elpa/auctex-12.1.1/prv-emacs hides /usr/share/emacs/site-lisp/auctex/prv-em=
acs</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/plain-tex hides /usr/=
share/emacs/site-lisp/auctex/plain-tex</div><div>/home/sagar/.emacs.d/elpa/=
auctex-12.1.1/latex hides /usr/share/emacs/site-lisp/auctex/latex</div><div=
>/home/sagar/.emacs.d/elpa/auctex-12.1.1/font-latex hides /usr/share/emacs/=
site-lisp/auctex/font-latex</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1=
.1/tex-bar hides /usr/share/emacs/site-lisp/auctex/tex-bar</div><div>/home/=
sagar/.emacs.d/elpa/auctex-12.1.1/context-nl hides /usr/share/emacs/site-li=
sp/auctex/context-nl</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-=
fold hides /usr/share/emacs/site-lisp/auctex/tex-fold</div><div>/home/sagar=
/.emacs.d/elpa/auctex-12.1.1/tex hides /usr/share/emacs/site-lisp/auctex/te=
x</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-style hides /usr/sh=
are/emacs/site-lisp/auctex/tex-style</div><div>/home/sagar/.emacs.d/elpa/au=
ctex-12.1.1/tex-font hides /usr/share/emacs/site-lisp/auctex/tex-font</div>=
<div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-mik hides /usr/share/emacs=
/site-lisp/auctex/tex-mik</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1=
/multi-prompt hides /usr/share/emacs/site-lisp/auctex/multi-prompt</div><di=
v>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-jp hides /usr/share/emacs/sit=
e-lisp/auctex/tex-jp</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/bib-=
cite hides /usr/share/emacs/site-lisp/auctex/bib-cite</div><div>/home/sagar=
/.emacs.d/elpa/auctex-12.1.1/context-en hides /usr/share/emacs/site-lisp/au=
ctex/context-en</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/context h=
ides /usr/share/emacs/site-lisp/auctex/context</div><div>/home/sagar/.emacs=
.d/elpa/auctex-12.1.1/tex-ispell hides /usr/share/emacs/site-lisp/auctex/te=
x-ispell</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/preview hides /u=
sr/share/emacs/site-lisp/auctex/preview</div><div>/home/sagar/.emacs.d/elpa=
/clang-format-20180406.1514/clang-format hides /usr/share/emacs/site-lisp/c=
lang-format-6.0/clang-format</div><div>/usr/share/emacs/site-lisp/dictionar=
ies-common/flyspell hides /usr/share/emacs/26.1/lisp/textmodes/flyspell</di=
v><div>/usr/share/emacs/site-lisp/dictionaries-common/ispell hides /usr/sha=
re/emacs/26.1/lisp/textmodes/ispell</div><div>/usr/share/emacs/site-lisp/la=
tex-cjk-thai/thai-word hides /usr/share/emacs/26.1/lisp/language/thai-word<=
/div><div><br></div><div>Features:</div><div>(shadow sort mail-extr emacsbu=
g sendmail make-mode sh-script executable</div><div>mhtml-mode smartparens-=
javascript js-mode-expansions js json map</div><div>flyspell ispell css-mod=
e-expansions css-mode smie color eww mm-url</div><div>url-queue url url-pro=
xy url-privacy url-expand url-methods url-history</div><div>url-cookie url-=
domsuf url-util mailcap shr svg browse-url</div><div>smartparens-html html-=
mode-expansions sgml-mode dom org-indent org-rmail</div><div>org-mhe org-ir=
c org-info org-gnus nnir gnus-sum gnus-group gnus-undo</div><div>gnus-start=
 gnus-cloud nnimap nnmail mail-source tls gnutls utf7 netrc</div><div>nnoo =
parse-time gnus-spec gnus-int gnus-range message rmc puny rfc822</div><div>=
mml mml-sec epa epg mm-decode mm-bodies mm-encode mail-parse rfc2231</div><=
div>mailabbrev gmm-utils mailheader gnus-win gnus nnheader gnus-util rmail<=
/div><div>rmail-loaddefs rfc2047 rfc2045 ietf-drums mail-utils mm-util mail=
-prsvr</div><div>org-docview org-bibtex bibtex org-bbdb org-w3m conf-mode l=
atexenc</div><div>preview prv-emacs tex-buf font-latex latex-mode-expansion=
s latex</div><div>latex-flymake flymake-proc flymake warnings tex-ispell te=
x-style tex</div><div>dbus crm smartparens-latex tex-mode shell doc-view pd=
f-sync pdf-annot</div><div>pdf-outline pdf-links org-element avl-tree gener=
ator smartparens-org</div><div>the-org-mode-expansions org org-macro org-fo=
otnote org-pcomplete</div><div>pcomplete org-list org-faces org-entities no=
utline outline org-version</div><div>ob-emacs-lisp ob ob-tangle org-src ob-=
ref ob-lob ob-table ob-keys ob-exp</div><div>ob-comint ob-core ob-eval org-=
compat org-macs org-loaddefs cal-menu</div><div>calendar cal-loaddefs pdf-h=
istory smerge-mode autorevert filenotify</div><div>vc-git diff-mode cc-mode=
-expansions cc-mode cc-fonts cc-guess cc-menus</div><div>cc-cmds cc-styles =
cc-align cc-engine cc-vars cc-defs elec-pair</div><div>aggressive-indent ea=
sy-mmode iy-go-to-char ace-jump-mode clang-format</div><div>xml smartparens=
-config smartparens-text smartparens dash cl-extra</div><div>help-mode use-=
package-ensure use-package-core multi-run window-layout</div><div>browse-ki=
ll-ring derived window-number pdf-occur ibuf-ext ibuffer</div><div>ibuffer-=
loaddefs tablist tablist-filter semantic/wisent/comp</div><div>semantic/wis=
ent semantic/wisent/wisent semantic/util-modes semantic/util</div><div>sema=
ntic semantic/tag semantic/lex semantic/fw mode-local find-func</div><div>c=
edet dired dired-loaddefs pdf-isearch let-alist pdf-misc imenu</div><div>pd=
f-tools compile comint ansi-color cus-edit cus-start cus-load pdf-view</div=
><div>bookmark pp jka-compr pdf-cache pdf-info tq pdf-util format-spec</div=
><div>image-mode smex my-euphoria color-theme wid-edit cl smartscan desktop=
</div><div>frameset winner ring expand-region text-mode-expansions</div><di=
v>er-basic-expansions expand-region-core expand-region-custom lisp-defuns</=
div><div>multiple-cursors mc-hide-unmatched-lines-mode mc-separate-operatio=
ns</div><div>rectangular-region-mode mc-mark-pop mc-mark-more thingatpt</di=
v><div>mc-cycle-cursors mc-edit-lines multiple-cursors-core advice rect edm=
acro</div><div>kmacro ido finder-inf tex-site info package easymenu epg-con=
fig</div><div>url-handlers url-parse auth-source cl-seq eieio eieio-core cl=
-macs</div><div>eieio-loaddefs password-cache url-vars seq byte-opt gv byte=
comp</div><div>byte-compile cconv cl-loaddefs cl-lib paren time-date mule-u=
til tooltip</div><div>eldoc electric uniquify ediff-hook vc-hooks lisp-floa=
t-type mwheel</div><div>term/x-win x-win term/common-win x-dnd tool-bar dnd=
 fontset image</div><div>regexp-opt fringe tabulated-list replace newcommen=
t text-mode elisp-mode</div><div>lisp-mode prog-mode register page menu-bar=
 rfn-eshadow isearch timer</div><div>select scroll-bar mouse jit-lock font-=
lock syntax facemenu font-core</div><div>term/tty-colors frame cl-generic c=
ham georgian utf-8-lang misc-lang</div><div>vietnamese tibetan thai tai-vie=
t lao korean japanese eucjp-ms cp51932</div><div>hebrew greek romanian slov=
ak czech european ethiopic indian cyrillic</div><div>chinese composite char=
script charprop case-table epa-hook jka-cmpr-hook</div><div>help simple abb=
rev obarray minibuffer cl-preloaded nadvice loaddefs</div><div>button faces=
 cus-face macroexp files text-properties overlay sha1 md5</div><div>base64 =
format env code-pages mule custom widget hashtable-print-readable</div><div=
>backquote dbusbind inotify lcms2 dynamic-setting system-font-setting</div>=
<div>font-render-setting xwidget-internal move-toolbar gtk x-toolkit x</div=
><div>multi-tty make-network-process emacs)</div><div><br></div><div>Memory=
 information:</div><div>((conses 16 947277 46578)</div><div>=C2=A0(symbols =
48 65112 2)</div><div>=C2=A0(miscs 40 2892 2831)</div><div>=C2=A0(strings 3=
2 190880 20633)</div><div>=C2=A0(string-bytes 1 14750727)</div><div>=C2=A0(=
vectors 16 64247)</div><div>=C2=A0(vector-slots 8 1566895 62732)</div><div>=
=C2=A0(floats 8 8633 405)</div><div>=C2=A0(intervals 56 17369 111)</div><di=
v>=C2=A0(buffers 992 257))</div></div><div><br></div></div></div>

--0000000000005294c90576a37269--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32816; Package emacs. Full text available.

Message received at 32816 <at> debbugs.gnu.org:


Received: (at 32816) by debbugs.gnu.org; 24 Sep 2018 12:41:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 24 08:41:10 2018
Received: from localhost ([127.0.0.1]:51462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g4QAo-00041V-5e
	for submit <at> debbugs.gnu.org; Mon, 24 Sep 2018 08:41:10 -0400
Received: from mail-it1-f180.google.com ([209.85.166.180]:53779)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sjsagarjha3@HIDDEN>) id 1g4QAm-00041G-J8
 for 32816 <at> debbugs.gnu.org; Mon, 24 Sep 2018 08:41:08 -0400
Received: by mail-it1-f180.google.com with SMTP id q70-v6so1696274itb.3
 for <32816 <at> debbugs.gnu.org>; Mon, 24 Sep 2018 05:41:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=VRQ6JeR1C+P9ee1PjA1/6tP/lhALFW0PPjNYq4uxRWo=;
 b=SZwXpVaWNeXCBLahygeJy0hnEYAUB+QMhnr5zMnNk5TssZV0OQCWZYs7+gxMQhZb/M
 3wflUVGd/nWitGTveO/orb9xV78joHKCuJoef9wk3y5si2Vd8s8ZKha1+FJ/CIj0+eq8
 GBWJ7juj1aBIkAM0deW27PGxtXT3ShZru4049ZexSLs4tMC00HveeQiWJtBqLBc/aMWe
 Fmc8kSQ9lZHyACGee3QJ/Q6UIo7qqHYMSHnPleMV/1FsV97l+pelqXUhrEU6fTS6ePfG
 n5v/+TXPjsLp9wkF5gxs7FBPUEukBmLwNCH961GSil+uM3gF6CQBN93zMafcGTe5AW7d
 ns4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=VRQ6JeR1C+P9ee1PjA1/6tP/lhALFW0PPjNYq4uxRWo=;
 b=j76p/rtd/UgtIyw3F/saeb3QldwaQMnRaCDi09IUjl04Zgt34fW0A6xbr3mDOyAtK3
 0TrXXtbDDARACBNxjFV/JWNhgVN38Q+WckbXgZajdG3aRdtOK1xSioGAbOQZgcKphQCe
 BHkyYr4UR8edqpLUYLPta04n425q0taXTuv2qSrFxowEvYVvNTNcVcpohe/JcLLzbzwZ
 81oZop+DMawp+pcV0kV390tS7ToZuQyrXhDnAyHBirB0ni/TKtnepZjTA/uZZXBlN065
 E08ABiq9yDVHVkVOp/uj9H6K8tIBwwIXIGnrpUqdsVNUfe6HR/8bDv9l7Pw1YdE+H3lQ
 lglA==
X-Gm-Message-State: APzg51DXS+3y+DZGbeI5cX9N3jDxZstdXPiax6+mBHI2NzkF/wUrBF40
 Qyudb/+Bh+IXnr1CF5ciPgKPIKGn6EB0XZ7CBq3FZA==
X-Google-Smtp-Source: ANB0VdbsIMDusCSlEwW/TYxaaicuy8zGP2SBXIjbF39t+JsOFtRudoQ4RnpkcfZIAqQbzFKs3DwbF2okXVErDCCgn0E=
X-Received: by 2002:a02:9c39:: with SMTP id
 q54-v6mr9170150jak.142.1537792862868; 
 Mon, 24 Sep 2018 05:41:02 -0700 (PDT)
MIME-Version: 1.0
References: <CAMxjTZJR-BY-TeWoQod6DMh5rPo35te9gR2hBRi-sUXfOiXCNQ@HIDDEN>
 <83mus7bcnb.fsf@HIDDEN>
In-Reply-To: <83mus7bcnb.fsf@HIDDEN>
From: Sagar Jha <sjsagarjha3@HIDDEN>
Date: Mon, 24 Sep 2018 08:40:51 -0400
Message-ID: <CAMxjTZ+KgZ7Zu-7kH3iK-r4uOgdqo_o4=8bPjkdJB-U-TYNNqA@HIDDEN>
Subject: Re: bug#32816: 25.2; M-x eshell crashes Emacs when a window
 containing a PDF file in pdf-view mode is active
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000054575305769d4d65"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 32816
Cc: 32816 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--00000000000054575305769d4d65
Content-Type: text/plain; charset="UTF-8"

Sorry, it freezes initially. Then I get the Ubuntu prompt to kill the
application. I wait for sometime after which it crashes too, but I just
meant to use the word freeze.
I will see if I can install Emacs 26.1. I will let you know.

On Mon, Sep 24, 2018 at 3:03 AM Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Sagar Jha <sjsagarjha3@HIDDEN>
> > Date: Sun, 23 Sep 2018 16:05:19 -0400
> >
> > Whenever I have a buffer opening a pdf file in pdf-view mode as the
> active window and I issue a "M-x eshell"
> > command, emacs freezes. I am then forced to restart Emacs.
>
> "Freezes" and "crashes" are not exactly the same...
>
> Anyway, could you perhaps try a later version of Emacs, preferably
> 26.1?
>
> Thanks.
>

--00000000000054575305769d4d65
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Sorry, it freezes initially. Then I get the Ubuntu prompt =
to kill the application. I wait for sometime after which it crashes too, bu=
t I just meant to use the word freeze.<div>I will see if I can install Emac=
s 26.1. I will let you know.</div><div><br><div class=3D"gmail_quote"><div =
dir=3D"ltr">On Mon, Sep 24, 2018 at 3:03 AM Eli Zaretskii &lt;<a href=3D"ma=
ilto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br></div><blockquote class=
=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padd=
ing-left:1ex">&gt; From: Sagar Jha &lt;<a href=3D"mailto:sjsagarjha3@gmail.=
com" target=3D"_blank">sjsagarjha3@HIDDEN</a>&gt;<br>
&gt; Date: Sun, 23 Sep 2018 16:05:19 -0400<br>
&gt; <br>
&gt; Whenever I have a buffer opening a pdf file in pdf-view mode as the ac=
tive window and I issue a &quot;M-x eshell&quot;<br>
&gt; command, emacs freezes. I am then forced to restart Emacs.<br>
<br>
&quot;Freezes&quot; and &quot;crashes&quot; are not exactly the same...<br>
<br>
Anyway, could you perhaps try a later version of Emacs, preferably<br>
26.1?<br>
<br>
Thanks.<br>
</blockquote></div></div></div>

--00000000000054575305769d4d65--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32816; Package emacs. Full text available.

Message received at 32816 <at> debbugs.gnu.org:


Received: (at 32816) by debbugs.gnu.org; 24 Sep 2018 07:03:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 24 03:03:39 2018
Received: from localhost ([127.0.0.1]:51267 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g4KuA-000801-Sh
	for submit <at> debbugs.gnu.org; Mon, 24 Sep 2018 03:03:39 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57973)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1g4Ku9-0007zn-9R
 for 32816 <at> debbugs.gnu.org; Mon, 24 Sep 2018 03:03:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1g4Ku0-0000a7-Qb
 for 32816 <at> debbugs.gnu.org; Mon, 24 Sep 2018 03:03:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57682)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1g4Ktz-0000Yw-Dx; Mon, 24 Sep 2018 03:03:28 -0400
Received: from [176.228.60.248] (port=3254 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1g4Kty-0001Gw-QZ; Mon, 24 Sep 2018 03:03:27 -0400
Date: Mon, 24 Sep 2018 10:03:20 +0300
Message-Id: <83mus7bcnb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Sagar Jha <sjsagarjha3@HIDDEN>
In-reply-to: <CAMxjTZJR-BY-TeWoQod6DMh5rPo35te9gR2hBRi-sUXfOiXCNQ@HIDDEN>
 (message from Sagar Jha on Sun, 23 Sep 2018 16:05:19 -0400)
Subject: Re: bug#32816: 25.2;
 M-x eshell crashes Emacs when a window containing a PDF file in
 pdf-view mode is active
References: <CAMxjTZJR-BY-TeWoQod6DMh5rPo35te9gR2hBRi-sUXfOiXCNQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32816
Cc: 32816 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Sagar Jha <sjsagarjha3@HIDDEN>
> Date: Sun, 23 Sep 2018 16:05:19 -0400
> 
> Whenever I have a buffer opening a pdf file in pdf-view mode as the active window and I issue a "M-x eshell"
> command, emacs freezes. I am then forced to restart Emacs.

"Freezes" and "crashes" are not exactly the same...

Anyway, could you perhaps try a later version of Emacs, preferably
26.1?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32816; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Sep 2018 22:55:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 23 18:55:08 2018
Received: from localhost ([127.0.0.1]:51193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g4DHO-0004FZ-QD
	for submit <at> debbugs.gnu.org; Sun, 23 Sep 2018 18:55:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48285)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sjsagarjha3@HIDDEN>) id 1g4AdW-0006iS-Hj
 for submit <at> debbugs.gnu.org; Sun, 23 Sep 2018 16:05:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sjsagarjha3@HIDDEN>) id 1g4AdO-0002v8-Is
 for submit <at> debbugs.gnu.org; Sun, 23 Sep 2018 16:05:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,HTML_MESSAGE,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50505)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <sjsagarjha3@HIDDEN>)
 id 1g4AdO-0002up-EA
 for submit <at> debbugs.gnu.org; Sun, 23 Sep 2018 16:05:38 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57867)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sjsagarjha3@HIDDEN>) id 1g4AdL-0002eW-FO
 for bug-gnu-emacs@HIDDEN; Sun, 23 Sep 2018 16:05:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sjsagarjha3@HIDDEN>) id 1g4AdI-0002rp-Q7
 for bug-gnu-emacs@HIDDEN; Sun, 23 Sep 2018 16:05:35 -0400
Received: from mail-io1-xd32.google.com ([2607:f8b0:4864:20::d32]:39949)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <sjsagarjha3@HIDDEN>)
 id 1g4AdI-0002rC-G7
 for bug-gnu-emacs@HIDDEN; Sun, 23 Sep 2018 16:05:32 -0400
Received: by mail-io1-xd32.google.com with SMTP id l14-v6so16079312iob.7
 for <bug-gnu-emacs@HIDDEN>; Sun, 23 Sep 2018 13:05:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=Nx2bhthGPa54dI/ESnipq8DKIhkOzXOeaFnE3CPCJsA=;
 b=Ip/d9u2iPdjYzK6RopswiYJDVpGG5o/XnPfayPr1ptt8fwRZI/hsc8onTkv8Y7F/YR
 J9nr8wSPqqR3Xdh96pyB5O2m7jcrL1Tc2XInQtoTjxITRtJFBoPADEODZr7KvXFc3+vR
 SGwQtEM5TiXQcuYJZazEY067rcba9xlpeOIUolc4IqJwIF/B9xOXMoLDNqoUJj1/X2Kf
 +EEoMGtKJCD3gV57fwb20saEvy6rmhBxcRa3dDrKV1Xz+EpABTHJsD/8xb+HMqEbBsy5
 nqHtaNtYJksqHqDW3oYZOwDOUsuUFQ1n9Jad2AXaUtUhBTfjYZGt+l1g5qyET/vQwvuy
 SFgA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Nx2bhthGPa54dI/ESnipq8DKIhkOzXOeaFnE3CPCJsA=;
 b=tN41TRlfabuglcFN4b76fTkAjXteUSv4oPQCxc1QtZJSCg6tPtlsD0JJaZDbukNhEx
 X2fvXdkPtJExRxWDsqdhsrzQbpNc6+vkFsusbuB0bopxs/6ucL9uhG2Dtz0s9n0Gf5g4
 rKwhtidxHOtTLLjcpe46pJzqXIbMElM3ttjfL6L/bhBm4e746Uc1uZDgAh5kac9TUneX
 k59TdcgOGnR+0367+94Tm3CWrSiqZWiaL5FOrFppS7J3nxzF9vaQyFU7Hfrkdz92WWQ7
 t5sJfih4hAwtmTydcNAOZolTP2BkM+xMxV7rCW6ELg/JeSxfWQruG3L3INec0eTVVrd/
 agjg==
X-Gm-Message-State: ABuFfoh5naoRLBZ49ekw7+gyg55V5vj4lwCS9Pca2bO/89KALtrLcgz0
 x+KWrDqyMsbIuzWPwSphkjtiMtPZeKnVs3FOQAsNvg==
X-Google-Smtp-Source: ACcGV60wDcqcWSWnHK51lEDJzgBQOMYiOvfnna4xUfH8rNZxi1OAGYQzW7X2hJsHA2dldt48v9V2/SaCErMM/N6S5uA=
X-Received: by 2002:a6b:5401:: with SMTP id i1-v6mr5496605iob.96.1537733130653; 
 Sun, 23 Sep 2018 13:05:30 -0700 (PDT)
MIME-Version: 1.0
From: Sagar Jha <sjsagarjha3@HIDDEN>
Date: Sun, 23 Sep 2018 16:05:19 -0400
Message-ID: <CAMxjTZJR-BY-TeWoQod6DMh5rPo35te9gR2hBRi-sUXfOiXCNQ@HIDDEN>
Subject: 25.2; M-x eshell crashes Emacs when a window containing a PDF file in
 pdf-view mode is active
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="00000000000003198905768f65ea"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 23 Sep 2018 18:55:05 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)

--00000000000003198905768f65ea
Content-Type: text/plain; charset="UTF-8"

Whenever I have a buffer opening a pdf file in pdf-view mode as the active
window and I issue a "M-x eshell" command, emacs freezes. I am then forced
to restart Emacs.

In GNU Emacs 25.2.2 (x86_64-pc-linux-gnu, GTK+ Version 3.22.21)
 of 2017-09-22, modified by Debian built on lgw01-amd64-050
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Ubuntu 18.04.1 LTS

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs25:/etc/emacs:/usr/local/share/emacs/25.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.2/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --build x86_64-linux-gnu
 --prefix=/usr --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs25:/etc/emacs:/usr/local/share/emacs/25.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.2/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-x=yes --with-x-toolkit=gtk3
 --with-toolkit-scroll-bars 'CFLAGS=-g -O2
 -fdebug-prefix-map=/build/emacs25-jYekUr/emacs25-25.2+1=.
-fstack-protector-strong
 -Wformat -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: LaTeX/P

Minor modes in effect:
  diff-auto-refine-mode: t
  TeX-PDF-mode: t
  shell-dirtrack-mode: t
  global-aggressive-indent-mode: t
  show-smartparens-global-mode: t
  show-smartparens-mode: t
  smartparens-mode: t
  window-number-mode: t
  pdf-occur-global-minor-mode: t
  desktop-save-mode: t
  winner-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Recent messages:
Applying style hooks...done
Applying style hooks...done
Type C-c C-c to view the image as text.
Applying style hooks...done
Applying style hooks...done
Applying style hooks...done
Wrote /home/sagar/.emacs.desktop.lock
Desktop: 1 frame, 246 buffers restored, 1 failed to restore.
For information about GNU Emacs and the GNU system, type C-h C-a.
Text is read-only

Load-path shadows:
~/coding/multi-run/multi-run hides
/home/sagar/.emacs.d/elpa/multi-run-20180922.2313/multi-run
/home/sagar/.emacs.d/elpa/auctex-12.1.1/texmathp hides
/usr/share/emacs25/site-lisp/auctex/texmathp
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-mik hides
/usr/share/emacs25/site-lisp/auctex/tex-mik
/home/sagar/.emacs.d/elpa/auctex-12.1.1/context-en hides
/usr/share/emacs25/site-lisp/auctex/context-en
/home/sagar/.emacs.d/elpa/auctex-12.1.1/toolbar-x hides
/usr/share/emacs25/site-lisp/auctex/toolbar-x
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-buf hides
/usr/share/emacs25/site-lisp/auctex/tex-buf
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex hides
/usr/share/emacs25/site-lisp/auctex/tex
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-bar hides
/usr/share/emacs25/site-lisp/auctex/tex-bar
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-info hides
/usr/share/emacs25/site-lisp/auctex/tex-info
/home/sagar/.emacs.d/elpa/auctex-12.1.1/context hides
/usr/share/emacs25/site-lisp/auctex/context
/home/sagar/.emacs.d/elpa/auctex-12.1.1/preview hides
/usr/share/emacs25/site-lisp/auctex/preview
/home/sagar/.emacs.d/elpa/auctex-12.1.1/context-nl hides
/usr/share/emacs25/site-lisp/auctex/context-nl
/home/sagar/.emacs.d/elpa/auctex-12.1.1/prv-emacs hides
/usr/share/emacs25/site-lisp/auctex/prv-emacs
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-font hides
/usr/share/emacs25/site-lisp/auctex/tex-font
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-style hides
/usr/share/emacs25/site-lisp/auctex/tex-style
/home/sagar/.emacs.d/elpa/auctex-12.1.1/plain-tex hides
/usr/share/emacs25/site-lisp/auctex/plain-tex
/home/sagar/.emacs.d/elpa/auctex-12.1.1/latex hides
/usr/share/emacs25/site-lisp/auctex/latex
/home/sagar/.emacs.d/elpa/auctex-12.1.1/font-latex hides
/usr/share/emacs25/site-lisp/auctex/font-latex
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-ispell hides
/usr/share/emacs25/site-lisp/auctex/tex-ispell
/home/sagar/.emacs.d/elpa/auctex-12.1.1/multi-prompt hides
/usr/share/emacs25/site-lisp/auctex/multi-prompt
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-fold hides
/usr/share/emacs25/site-lisp/auctex/tex-fold
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-jp hides
/usr/share/emacs25/site-lisp/auctex/tex-jp
/home/sagar/.emacs.d/elpa/auctex-12.1.1/bib-cite hides
/usr/share/emacs25/site-lisp/auctex/bib-cite
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-site hides
/usr/share/emacs/site-lisp/tex-site
/usr/share/emacs/25.2/site-lisp/debian-startup hides
/usr/share/emacs/site-lisp/debian-startup
/home/sagar/.emacs.d/elpa/auctex-12.1.1/auctex hides
/usr/share/emacs/site-lisp/auctex
/usr/share/emacs25/site-lisp/cmake-data/cmake-mode hides
/usr/share/emacs/site-lisp/cmake-mode
/usr/share/emacs25/site-lisp/latex-cjk-thai/thai-word hides
/usr/share/emacs/25.2/lisp/language/thai-word
/home/sagar/.emacs.d/elpa/let-alist-1.0.5/let-alist hides
/usr/share/emacs/25.2/lisp/emacs-lisp/let-alist
/home/sagar/.emacs.d/elpa/auctex-12.1.1/texmathp hides
/usr/share/emacs/site-lisp/auctex/texmathp
/home/sagar/.emacs.d/elpa/auctex-12.1.1/toolbar-x hides
/usr/share/emacs/site-lisp/auctex/toolbar-x
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-buf hides
/usr/share/emacs/site-lisp/auctex/tex-buf
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-info hides
/usr/share/emacs/site-lisp/auctex/tex-info
/home/sagar/.emacs.d/elpa/auctex-12.1.1/prv-emacs hides
/usr/share/emacs/site-lisp/auctex/prv-emacs
/home/sagar/.emacs.d/elpa/auctex-12.1.1/plain-tex hides
/usr/share/emacs/site-lisp/auctex/plain-tex
/home/sagar/.emacs.d/elpa/auctex-12.1.1/latex hides
/usr/share/emacs/site-lisp/auctex/latex
/home/sagar/.emacs.d/elpa/auctex-12.1.1/font-latex hides
/usr/share/emacs/site-lisp/auctex/font-latex
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-bar hides
/usr/share/emacs/site-lisp/auctex/tex-bar
/home/sagar/.emacs.d/elpa/auctex-12.1.1/context-nl hides
/usr/share/emacs/site-lisp/auctex/context-nl
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-fold hides
/usr/share/emacs/site-lisp/auctex/tex-fold
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex hides
/usr/share/emacs/site-lisp/auctex/tex
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-style hides
/usr/share/emacs/site-lisp/auctex/tex-style
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-font hides
/usr/share/emacs/site-lisp/auctex/tex-font
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-mik hides
/usr/share/emacs/site-lisp/auctex/tex-mik
/home/sagar/.emacs.d/elpa/auctex-12.1.1/multi-prompt hides
/usr/share/emacs/site-lisp/auctex/multi-prompt
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-jp hides
/usr/share/emacs/site-lisp/auctex/tex-jp
/home/sagar/.emacs.d/elpa/auctex-12.1.1/bib-cite hides
/usr/share/emacs/site-lisp/auctex/bib-cite
/home/sagar/.emacs.d/elpa/auctex-12.1.1/context-en hides
/usr/share/emacs/site-lisp/auctex/context-en
/home/sagar/.emacs.d/elpa/auctex-12.1.1/context hides
/usr/share/emacs/site-lisp/auctex/context
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-ispell hides
/usr/share/emacs/site-lisp/auctex/tex-ispell
/home/sagar/.emacs.d/elpa/auctex-12.1.1/preview hides
/usr/share/emacs/site-lisp/auctex/preview

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec epg mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util help-fns mail-prsvr
mail-utils texmathp conf-mode smartparens-javascript js-mode-expansions
js make-mode sh-script executable cmake-mode smerge-mode flymake
flycheck json map rx css-mode-expansions css-mode smie smartparens-html
html-mode-expansions sgml-mode cc-mode-expansions cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
latexenc pdf-sync pdf-annot pdf-outline pdf-links pdf-history autorevert
filenotify org-element org-indent org-rmail org-mhe org-irc org-info
org-gnus gnus-util org-docview doc-view subr-x org-bibtex bibtex
org-bbdb org-w3m smartparens-org smartparens-text
the-org-mode-expansions org org-macro org-footnote org-pcomplete
org-list org-faces org-entities org-version ob-emacs-lisp ob ob-tangle
ob-ref ob-lob ob-table ob-exp org-src ob-keys ob-comint ob-core ob-eval
org-compat org-macs org-loaddefs cal-menu calendar cal-loaddefs vc-git
diff-mode preview prv-emacs tex-buf noutline outline font-latex
latex-mode-expansions latex tex-ispell tex-style tex dbus crm
smartparens-latex tex-mode shell pcomplete aggressive-indent easy-mmode
iy-go-to-char ace-jump-mode clang-format xml smartparens-config
smartparens dash use-package-ensure cl-seq use-package-core multi-run
window-layout browse-kill-ring derived window-number pdf-occur ibuf-ext
ibuffer tablist tablist-filter semantic/wisent/comp semantic/wisent
semantic/wisent/wisent semantic/util-modes semantic/util semantic
semantic/tag semantic/lex semantic/fw eieio eieio-core mode-local
find-func cedet dired pdf-isearch let-alist pdf-misc imenu pdf-tools
compile comint ansi-color cus-edit cus-start cus-load pdf-view
password-cache bookmark pp jka-compr pdf-cache pdf-info tq pdf-util
format-spec image-mode smex my-euphoria cl-macs color-theme wid-edit cl
smartscan desktop frameset winner ring expand-region
text-mode-expansions er-basic-expansions expand-region-core
expand-region-custom lisp-defuns multiple-cursors
mc-hide-unmatched-lines-mode mc-separate-operations
rectangular-region-mode mc-mark-pop mc-mark-more thingatpt
mc-cycle-cursors mc-edit-lines multiple-cursors-core advice rect edmacro
kmacro ido finder-inf info package epg-config seq byte-opt gv bytecomp
byte-compile cl-extra help-mode easymenu cconv cl-loaddefs pcase cl-lib
paren preview-latex tex-site auto-loads time-date mule-util tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
dbusbind inotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 867436 33070)
 (symbols 48 60939 0)
 (miscs 40 2918 972)
 (strings 32 166363 17901)
 (string-bytes 1 13974190)
 (vectors 16 55893)
 (vector-slots 8 1380084 57307)
 (floats 8 8513 1370)
 (intervals 56 8799 36)
 (buffers 976 267))

Thanks,
Sagar

--00000000000003198905768f65ea
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Whenever I have a buffer opening a pdf file in pdf-view mo=
de as the active window and I issue a &quot;M-x eshell&quot; command, emacs=
 freezes. I am then forced to restart Emacs.<div><div><br></div><div>In GNU=
 Emacs 25.2.2 (x86_64-pc-linux-gnu, GTK+ Version 3.22.21)</div><div>=C2=A0o=
f 2017-09-22, modified by Debian built on lgw01-amd64-050</div><div>Windowi=
ng system distributor &#39;The X.Org Foundation&#39;, version 11.0.11906000=
</div><div>System Description:<span style=3D"white-space:pre">	</span>Ubunt=
u 18.04.1 LTS</div><div><br></div><div>Configured using:</div><div>=C2=A0&#=
39;configure --build x86_64-linux-gnu --prefix=3D/usr</div><div>=C2=A0--sha=
redstatedir=3D/var/lib --libexecdir=3D/usr/lib</div><div>=C2=A0--localstate=
dir=3D/var/lib --infodir=3D/usr/share/info</div><div>=C2=A0--mandir=3D/usr/=
share/man --with-pop=3Dyes</div><div>=C2=A0--enable-locallisppath=3D/etc/em=
acs25:/etc/emacs:/usr/local/share/emacs/25.2/site-lisp:/usr/local/share/ema=
cs/site-lisp:/usr/share/emacs/25.2/site-lisp:/usr/share/emacs/site-lisp</di=
v><div>=C2=A0--with-sound=3Dalsa --without-gconf --build x86_64-linux-gnu</=
div><div>=C2=A0--prefix=3D/usr --sharedstatedir=3D/var/lib --libexecdir=3D/=
usr/lib</div><div>=C2=A0--localstatedir=3D/var/lib --infodir=3D/usr/share/i=
nfo</div><div>=C2=A0--mandir=3D/usr/share/man --with-pop=3Dyes</div><div>=
=C2=A0--enable-locallisppath=3D/etc/emacs25:/etc/emacs:/usr/local/share/ema=
cs/25.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.2/si=
te-lisp:/usr/share/emacs/site-lisp</div><div>=C2=A0--with-sound=3Dalsa --wi=
thout-gconf --with-x=3Dyes --with-x-toolkit=3Dgtk3</div><div>=C2=A0--with-t=
oolkit-scroll-bars &#39;CFLAGS=3D-g -O2</div><div>=C2=A0-fdebug-prefix-map=
=3D/build/emacs25-jYekUr/emacs25-25.2+1=3D. -fstack-protector-strong</div><=
div>=C2=A0-Wformat -Werror=3Dformat-security -Wall&#39; &#39;CPPFLAGS=3D-Wd=
ate-time</div><div>=C2=A0-D_FORTIFY_SOURCE=3D2&#39; &#39;LDFLAGS=3D-Wl,-Bsy=
mbolic-functions -Wl,-z,relro&#39;&#39;</div><div><br></div><div>Configured=
 features:</div><div>XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS =
GSETTINGS NOTIFY</div><div>ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT =
LIBOTF XFT ZLIB</div><div>TOOLKIT_SCROLL_BARS GTK3 X11</div><div><br></div>=
<div>Important settings:</div><div>=C2=A0 value of $LANG: en_US.UTF-8</div>=
<div>=C2=A0 value of $XMODIFIERS: @im=3Dibus</div><div>=C2=A0 locale-coding=
-system: utf-8-unix</div><div><br></div><div>Major mode: LaTeX/P</div><div>=
<br></div><div>Minor modes in effect:</div><div>=C2=A0 diff-auto-refine-mod=
e: t</div><div>=C2=A0 TeX-PDF-mode: t</div><div>=C2=A0 shell-dirtrack-mode:=
 t</div><div>=C2=A0 global-aggressive-indent-mode: t</div><div>=C2=A0 show-=
smartparens-global-mode: t</div><div>=C2=A0 show-smartparens-mode: t</div><=
div>=C2=A0 smartparens-mode: t</div><div>=C2=A0 window-number-mode: t</div>=
<div>=C2=A0 pdf-occur-global-minor-mode: t</div><div>=C2=A0 desktop-save-mo=
de: t</div><div>=C2=A0 winner-mode: t</div><div>=C2=A0 show-paren-mode: t</=
div><div>=C2=A0 tooltip-mode: t</div><div>=C2=A0 global-eldoc-mode: t</div>=
<div>=C2=A0 electric-indent-mode: t</div><div>=C2=A0 mouse-wheel-mode: t</d=
iv><div>=C2=A0 file-name-shadow-mode: t</div><div>=C2=A0 global-font-lock-m=
ode: t</div><div>=C2=A0 font-lock-mode: t</div><div>=C2=A0 blink-cursor-mod=
e: t</div><div>=C2=A0 auto-composition-mode: t</div><div>=C2=A0 auto-encryp=
tion-mode: t</div><div>=C2=A0 auto-compression-mode: t</div><div>=C2=A0 lin=
e-number-mode: t</div><div>=C2=A0 visual-line-mode: t</div><div>=C2=A0 tran=
sient-mark-mode: t</div><div><br></div><div>Recent messages:</div><div>Appl=
ying style hooks...done</div><div>Applying style hooks...done</div><div>Typ=
e C-c C-c to view the image as text.</div><div>Applying style hooks...done<=
/div><div>Applying style hooks...done</div><div>Applying style hooks...done=
</div><div>Wrote /home/sagar/.emacs.desktop.lock</div><div>Desktop: 1 frame=
, 246 buffers restored, 1 failed to restore.</div><div>For information abou=
t GNU Emacs and the GNU system, type C-h C-a.</div><div>Text is read-only</=
div><div><br></div><div>Load-path shadows:</div><div>~/coding/multi-run/mul=
ti-run hides /home/sagar/.emacs.d/elpa/multi-run-20180922.2313/multi-run</d=
iv><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/texmathp hides /usr/share/e=
macs25/site-lisp/auctex/texmathp</div><div>/home/sagar/.emacs.d/elpa/auctex=
-12.1.1/tex-mik hides /usr/share/emacs25/site-lisp/auctex/tex-mik</div><div=
>/home/sagar/.emacs.d/elpa/auctex-12.1.1/context-en hides /usr/share/emacs2=
5/site-lisp/auctex/context-en</div><div>/home/sagar/.emacs.d/elpa/auctex-12=
.1.1/toolbar-x hides /usr/share/emacs25/site-lisp/auctex/toolbar-x</div><di=
v>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-buf hides /usr/share/emacs25/=
site-lisp/auctex/tex-buf</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/=
tex hides /usr/share/emacs25/site-lisp/auctex/tex</div><div>/home/sagar/.em=
acs.d/elpa/auctex-12.1.1/tex-bar hides /usr/share/emacs25/site-lisp/auctex/=
tex-bar</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-info hides /u=
sr/share/emacs25/site-lisp/auctex/tex-info</div><div>/home/sagar/.emacs.d/e=
lpa/auctex-12.1.1/context hides /usr/share/emacs25/site-lisp/auctex/context=
</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/preview hides /usr/share=
/emacs25/site-lisp/auctex/preview</div><div>/home/sagar/.emacs.d/elpa/aucte=
x-12.1.1/context-nl hides /usr/share/emacs25/site-lisp/auctex/context-nl</d=
iv><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/prv-emacs hides /usr/share/=
emacs25/site-lisp/auctex/prv-emacs</div><div>/home/sagar/.emacs.d/elpa/auct=
ex-12.1.1/tex-font hides /usr/share/emacs25/site-lisp/auctex/tex-font</div>=
<div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-style hides /usr/share/ema=
cs25/site-lisp/auctex/tex-style</div><div>/home/sagar/.emacs.d/elpa/auctex-=
12.1.1/plain-tex hides /usr/share/emacs25/site-lisp/auctex/plain-tex</div><=
div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/latex hides /usr/share/emacs25/=
site-lisp/auctex/latex</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/fo=
nt-latex hides /usr/share/emacs25/site-lisp/auctex/font-latex</div><div>/ho=
me/sagar/.emacs.d/elpa/auctex-12.1.1/tex-ispell hides /usr/share/emacs25/si=
te-lisp/auctex/tex-ispell</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1=
/multi-prompt hides /usr/share/emacs25/site-lisp/auctex/multi-prompt</div><=
div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-fold hides /usr/share/emacs=
25/site-lisp/auctex/tex-fold</div><div>/home/sagar/.emacs.d/elpa/auctex-12.=
1.1/tex-jp hides /usr/share/emacs25/site-lisp/auctex/tex-jp</div><div>/home=
/sagar/.emacs.d/elpa/auctex-12.1.1/bib-cite hides /usr/share/emacs25/site-l=
isp/auctex/bib-cite</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-s=
ite hides /usr/share/emacs/site-lisp/tex-site</div><div>/usr/share/emacs/25=
.2/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup=
</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/auctex hides /usr/share/=
emacs/site-lisp/auctex</div><div>/usr/share/emacs25/site-lisp/cmake-data/cm=
ake-mode hides /usr/share/emacs/site-lisp/cmake-mode</div><div>/usr/share/e=
macs25/site-lisp/latex-cjk-thai/thai-word hides /usr/share/emacs/25.2/lisp/=
language/thai-word</div><div>/home/sagar/.emacs.d/elpa/let-alist-1.0.5/let-=
alist hides /usr/share/emacs/25.2/lisp/emacs-lisp/let-alist</div><div>/home=
/sagar/.emacs.d/elpa/auctex-12.1.1/texmathp hides /usr/share/emacs/site-lis=
p/auctex/texmathp</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/toolbar=
-x hides /usr/share/emacs/site-lisp/auctex/toolbar-x</div><div>/home/sagar/=
.emacs.d/elpa/auctex-12.1.1/tex-buf hides /usr/share/emacs/site-lisp/auctex=
/tex-buf</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-info hides /=
usr/share/emacs/site-lisp/auctex/tex-info</div><div>/home/sagar/.emacs.d/el=
pa/auctex-12.1.1/prv-emacs hides /usr/share/emacs/site-lisp/auctex/prv-emac=
s</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/plain-tex hides /usr/sh=
are/emacs/site-lisp/auctex/plain-tex</div><div>/home/sagar/.emacs.d/elpa/au=
ctex-12.1.1/latex hides /usr/share/emacs/site-lisp/auctex/latex</div><div>/=
home/sagar/.emacs.d/elpa/auctex-12.1.1/font-latex hides /usr/share/emacs/si=
te-lisp/auctex/font-latex</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1=
/tex-bar hides /usr/share/emacs/site-lisp/auctex/tex-bar</div><div>/home/sa=
gar/.emacs.d/elpa/auctex-12.1.1/context-nl hides /usr/share/emacs/site-lisp=
/auctex/context-nl</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-fo=
ld hides /usr/share/emacs/site-lisp/auctex/tex-fold</div><div>/home/sagar/.=
emacs.d/elpa/auctex-12.1.1/tex hides /usr/share/emacs/site-lisp/auctex/tex<=
/div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-style hides /usr/shar=
e/emacs/site-lisp/auctex/tex-style</div><div>/home/sagar/.emacs.d/elpa/auct=
ex-12.1.1/tex-font hides /usr/share/emacs/site-lisp/auctex/tex-font</div><d=
iv>/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-mik hides /usr/share/emacs/s=
ite-lisp/auctex/tex-mik</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/m=
ulti-prompt hides /usr/share/emacs/site-lisp/auctex/multi-prompt</div><div>=
/home/sagar/.emacs.d/elpa/auctex-12.1.1/tex-jp hides /usr/share/emacs/site-=
lisp/auctex/tex-jp</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/bib-ci=
te hides /usr/share/emacs/site-lisp/auctex/bib-cite</div><div>/home/sagar/.=
emacs.d/elpa/auctex-12.1.1/context-en hides /usr/share/emacs/site-lisp/auct=
ex/context-en</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/context hid=
es /usr/share/emacs/site-lisp/auctex/context</div><div>/home/sagar/.emacs.d=
/elpa/auctex-12.1.1/tex-ispell hides /usr/share/emacs/site-lisp/auctex/tex-=
ispell</div><div>/home/sagar/.emacs.d/elpa/auctex-12.1.1/preview hides /usr=
/share/emacs/site-lisp/auctex/preview</div><div><br></div><div>Features:</d=
iv><div>(shadow sort mail-extr emacsbug message rfc822 mml mml-sec epg mm-d=
ecode</div><div>mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils=
 mailheader</div><div>sendmail rfc2047 rfc2045 ietf-drums mm-util help-fns =
mail-prsvr</div><div>mail-utils texmathp conf-mode smartparens-javascript j=
s-mode-expansions</div><div>js make-mode sh-script executable cmake-mode sm=
erge-mode flymake</div><div>flycheck json map rx css-mode-expansions css-mo=
de smie smartparens-html</div><div>html-mode-expansions sgml-mode cc-mode-e=
xpansions cc-mode cc-fonts</div><div>cc-guess cc-menus cc-cmds cc-styles cc=
-align cc-engine cc-vars cc-defs</div><div>latexenc pdf-sync pdf-annot pdf-=
outline pdf-links pdf-history autorevert</div><div>filenotify org-element o=
rg-indent org-rmail org-mhe org-irc org-info</div><div>org-gnus gnus-util o=
rg-docview doc-view subr-x org-bibtex bibtex</div><div>org-bbdb org-w3m sma=
rtparens-org smartparens-text</div><div>the-org-mode-expansions org org-mac=
ro org-footnote org-pcomplete</div><div>org-list org-faces org-entities org=
-version ob-emacs-lisp ob ob-tangle</div><div>ob-ref ob-lob ob-table ob-exp=
 org-src ob-keys ob-comint ob-core ob-eval</div><div>org-compat org-macs or=
g-loaddefs cal-menu calendar cal-loaddefs vc-git</div><div>diff-mode previe=
w prv-emacs tex-buf noutline outline font-latex</div><div>latex-mode-expans=
ions latex tex-ispell tex-style tex dbus crm</div><div>smartparens-latex te=
x-mode shell pcomplete aggressive-indent easy-mmode</div><div>iy-go-to-char=
 ace-jump-mode clang-format xml smartparens-config</div><div>smartparens da=
sh use-package-ensure cl-seq use-package-core multi-run</div><div>window-la=
yout browse-kill-ring derived window-number pdf-occur ibuf-ext</div><div>ib=
uffer tablist tablist-filter semantic/wisent/comp semantic/wisent</div><div=
>semantic/wisent/wisent semantic/util-modes semantic/util semantic</div><di=
v>semantic/tag semantic/lex semantic/fw eieio eieio-core mode-local</div><d=
iv>find-func cedet dired pdf-isearch let-alist pdf-misc imenu pdf-tools</di=
v><div>compile comint ansi-color cus-edit cus-start cus-load pdf-view</div>=
<div>password-cache bookmark pp jka-compr pdf-cache pdf-info tq pdf-util</d=
iv><div>format-spec image-mode smex my-euphoria cl-macs color-theme wid-edi=
t cl</div><div>smartscan desktop frameset winner ring expand-region</div><d=
iv>text-mode-expansions er-basic-expansions expand-region-core</div><div>ex=
pand-region-custom lisp-defuns multiple-cursors</div><div>mc-hide-unmatched=
-lines-mode mc-separate-operations</div><div>rectangular-region-mode mc-mar=
k-pop mc-mark-more thingatpt</div><div>mc-cycle-cursors mc-edit-lines multi=
ple-cursors-core advice rect edmacro</div><div>kmacro ido finder-inf info p=
ackage epg-config seq byte-opt gv bytecomp</div><div>byte-compile cl-extra =
help-mode easymenu cconv cl-loaddefs pcase cl-lib</div><div>paren preview-l=
atex tex-site auto-loads time-date mule-util tooltip</div><div>eldoc electr=
ic uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win</div><div>term=
/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe</div><div>ta=
bulated-list newcomment elisp-mode lisp-mode prog-mode register page</div><=
div>menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock</=
div><div>syntax facemenu font-core frame cl-generic cham georgian utf-8-lan=
g</div><div>misc-lang vietnamese tibetan thai tai-viet lao korean japanese =
eucjp-ms</div><div>cp51932 hebrew greek romanian slovak czech european ethi=
opic indian</div><div>cyrillic chinese charscript case-table epa-hook jka-c=
mpr-hook help</div><div>simple abbrev minibuffer cl-preloaded nadvice loadd=
efs button faces</div><div>cus-face macroexp files text-properties overlay =
sha1 md5 base64 format</div><div>env code-pages mule custom widget hashtabl=
e-print-readable backquote</div><div>dbusbind inotify dynamic-setting syste=
m-font-setting font-render-setting</div><div>move-toolbar gtk x-toolkit x m=
ulti-tty make-network-process emacs)</div><div><br></div><div>Memory inform=
ation:</div><div>((conses 16 867436 33070)</div><div>=C2=A0(symbols 48 6093=
9 0)</div><div>=C2=A0(miscs 40 2918 972)</div><div>=C2=A0(strings 32 166363=
 17901)</div><div>=C2=A0(string-bytes 1 13974190)</div><div>=C2=A0(vectors =
16 55893)</div><div>=C2=A0(vector-slots 8 1380084 57307)</div><div>=C2=A0(f=
loats 8 8513 1370)</div><div>=C2=A0(intervals 56 8799 36)</div><div>=C2=A0(=
buffers 976 267))</div></div><div><br></div><div>Thanks,</div><div>Sagar</d=
iv><div><br></div></div>

--00000000000003198905768f65ea--




Acknowledgement sent to Sagar Jha <sjsagarjha3@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#32816; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 27 Sep 2018 12:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.